org.wildfly.swarm.config

## Class JMX<T extends JMX<T>>

- java.lang.Object
- - org.wildfly.swarm.config.JMX<T>

- Direct Known Subclasses:
    JMXFraction

      public class JMX<T extends JMX<T>>
      extends Object

  The configuration of the JMX subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JMX.JMXResources` Child mutators for JMX

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMX()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `auditLogConfiguration()` The management audit logging top-level resource.
    `T` | `auditLogConfiguration(AuditLogConfiguration value)` The management audit logging top-level resource.
    `T` | `auditLogConfiguration(AuditLogConfigurationConsumer consumer)` The management audit logging top-level resource.
    `T` | `auditLogConfiguration(AuditLogConfigurationSupplier supplier)` The management audit logging top-level resource.
    `T` | `expressionExposeModel()` The configuration for exposing the 'expression' model controller in the MBeanServer.
    `T` | `expressionExposeModel(ExpressionExposeModel value)` The configuration for exposing the 'expression' model controller in the MBeanServer.
    `T` | `expressionExposeModel(ExpressionExposeModelConsumer consumer)` The configuration for exposing the 'expression' model controller in the MBeanServer.
    `T` | `expressionExposeModel(ExpressionExposeModelSupplier supplier)` The configuration for exposing the 'expression' model controller in the MBeanServer.
    `String` | `getKey()`
    `T` | `jmxRemotingConnector()` A JBoss remoting connector for the JMX subsystem.
    `T` | `jmxRemotingConnector(JMXRemotingConnector value)` A JBoss remoting connector for the JMX subsystem.
    `T` | `jmxRemotingConnector(JMXRemotingConnectorConsumer consumer)` A JBoss remoting connector for the JMX subsystem.
    `T` | `jmxRemotingConnector(JMXRemotingConnectorSupplier supplier)` A JBoss remoting connector for the JMX subsystem.
    `Boolean` | `nonCoreMbeanSensitivity()` Whether or not core MBeans, i.e.
    `T` | `nonCoreMbeanSensitivity(Boolean value)` Whether or not core MBeans, i.e.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `resolvedExposeModel()` The configuration for exposing the 'resolved' model controller in the MBeanServer.
    `T` | `resolvedExposeModel(ResolvedExposeModel value)` The configuration for exposing the 'resolved' model controller in the MBeanServer.
    `T` | `resolvedExposeModel(ResolvedExposeModelConsumer consumer)` The configuration for exposing the 'resolved' model controller in the MBeanServer.
    `T` | `resolvedExposeModel(ResolvedExposeModelSupplier supplier)` The configuration for exposing the 'resolved' model controller in the MBeanServer.
    `Boolean` | `showModel()` Alias for the existence of the 'resolved' model controller jmx facade.
    `T` | `showModel(Boolean value)` Alias for the existence of the 'resolved' model controller jmx facade.
    `JMX.JMXResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMX

          public JMX()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public JMX.JMXResources subresources()

    - #### resolvedExposeModel

          public T resolvedExposeModel(ResolvedExposeModel value)

      The configuration for exposing the 'resolved' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as their type in the underlying model. Reads return the resolved expression if used, or the raw value. You may not use expressions when writing attributes and setting operation parameters.

    - #### resolvedExposeModel

          public T resolvedExposeModel(ResolvedExposeModelConsumer consumer)

      The configuration for exposing the 'resolved' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as their type in the underlying model. Reads return the resolved expression if used, or the raw value. You may not use expressions when writing attributes and setting operation parameters.

    - #### resolvedExposeModel

          public T resolvedExposeModel()

      The configuration for exposing the 'resolved' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as their type in the underlying model. Reads return the resolved expression if used, or the raw value. You may not use expressions when writing attributes and setting operation parameters.

    - #### resolvedExposeModel

          public T resolvedExposeModel(ResolvedExposeModelSupplier supplier)

      The configuration for exposing the 'resolved' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as their type in the underlying model. Reads return the resolved expression if used, or the raw value. You may not use expressions when writing attributes and setting operation parameters.

    - #### auditLogConfiguration

          public T auditLogConfiguration(AuditLogConfiguration value)

      The management audit logging top-level resource.

    - #### auditLogConfiguration

          public T auditLogConfiguration(AuditLogConfigurationConsumer consumer)

      The management audit logging top-level resource.

    - #### auditLogConfiguration

          public T auditLogConfiguration()

      The management audit logging top-level resource.

    - #### auditLogConfiguration

          public T auditLogConfiguration(AuditLogConfigurationSupplier supplier)

      The management audit logging top-level resource.

    - #### jmxRemotingConnector

          public T jmxRemotingConnector(JMXRemotingConnector value)

      A JBoss remoting connector for the JMX subsystem.

    - #### jmxRemotingConnector

          public T jmxRemotingConnector(JMXRemotingConnectorConsumer consumer)

      A JBoss remoting connector for the JMX subsystem.

    - #### jmxRemotingConnector

          public T jmxRemotingConnector()

      A JBoss remoting connector for the JMX subsystem.

    - #### jmxRemotingConnector

          public T jmxRemotingConnector(JMXRemotingConnectorSupplier supplier)

      A JBoss remoting connector for the JMX subsystem.

    - #### expressionExposeModel

          public T expressionExposeModel(ExpressionExposeModel value)

      The configuration for exposing the 'expression' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as String. Reads return the unresolved expression. You may use expressions when writing attributes and setting operation parameters.

    - #### expressionExposeModel

          public T expressionExposeModel(ExpressionExposeModelConsumer consumer)

      The configuration for exposing the 'expression' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as String. Reads return the unresolved expression. You may use expressions when writing attributes and setting operation parameters.

    - #### expressionExposeModel

          public T expressionExposeModel()

      The configuration for exposing the 'expression' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as String. Reads return the unresolved expression. You may use expressions when writing attributes and setting operation parameters.

    - #### expressionExposeModel

          public T expressionExposeModel(ExpressionExposeModelSupplier supplier)

      The configuration for exposing the 'expression' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as String. Reads return the unresolved expression. You may use expressions when writing attributes and setting operation parameters.

    - #### nonCoreMbeanSensitivity

          public Boolean nonCoreMbeanSensitivity()

      Whether or not core MBeans, i.e. mbeans not coming from the model controller, should be considered sensitive.

    - #### nonCoreMbeanSensitivity

          public T nonCoreMbeanSensitivity(Boolean value)

      Whether or not core MBeans, i.e. mbeans not coming from the model controller, should be considered sensitive.

    - #### showModel

          public Boolean showModel()

      Alias for the existence of the 'resolved' model controller jmx facade. When writing, if set to 'true' it will add the 'resolved' model controller jmx facade resource with the default domain name.

    - #### showModel

          public T showModel(Boolean value)

      Alias for the existence of the 'resolved' model controller jmx facade. When writing, if set to 'true' it will add the 'resolved' model controller jmx facade resource with the default domain name.

Copyright © 2018 JBoss by Red Hat. All rights reserved.